> ## Documentation Index
> Fetch the complete documentation index at: https://docs.covenance.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction

> Get the details for a single transaction by ID



## OpenAPI

````yaml GET /transaction/{transactionId}
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /transaction/{transactionId}:
    get:
      description: Get the details for a single transaction by ID
      parameters:
        - name: transactionId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
        '400':
          $ref: '#/components/responses/400'
        '403':
          $ref: '#/components/responses/403'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    Transaction:
      required:
        - id
        - date
        - description
        - amountCents
        - status
        - referenceNumber
        - authorizedAt
        - status
        - createdAt
      type: object
      properties:
        id:
          description: Identification of the transaction
          type: string
        date:
          description: Date in UTC time when the transaction was posted
          type: string
          format: date-time
        description:
          description: Description of the transaction
          type: string
        merchantData:
          description: >-
            For card transactions, contains description of the transaction as
            reported by the merchant and merchant category code. For other
            transactions, this field is undefined
          type: object
          properties:
            description:
              description: The raw description provided by the merchant for the transaction
              type: string
            categoryCode:
              description: The merchant's category code (MCC)
              type: string
          required:
            - description
            - categoryCode
        amountCents:
          description: >-
            The amount of the transaction in cents in USD. If the transaction
            amount is negative, the transaction is a debit. If the transaction
            amount is positive, the transaction is a credit
          type: number
        status:
          description: Status of the transaction
          type: string
          enum:
            - pending
            - canceled
            - failed
            - settled
            - declined
            - refund
            - reversed
            - returned
            - dispute
        cardId:
          description: Identification of the card
          type: string
        originalCurrency:
          description: Original currency of the transaction
          type: object
          properties:
            code:
              description: Currency code
              type: string
            amountCents:
              description: Amount of the transaction in cents
              type: number
            conversionRate:
              description: Conversion rate
              type: number
        referenceNumber:
          description: The reference number provided by Visa for this transaction
          type: string
        authorizedAt:
          description: >-
            UTC timestamp of when the transaction was authorized. Only exists
            for card transactions
          type: string
          format: date-time
        declineReason:
          description: Decline reason of the transaction
          type: string
    ErrorWithNoId:
      required:
        - status
        - code
        - message
      type: object
      properties:
        status:
          type: number
        code:
          type: string
        message:
          type: string
  responses:
    '400':
      description: Invalid Body/Query Parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorWithNoId'
    '403':
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorWithNoId'
    '429':
      description: Too many requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorWithNoId'
    '500':
      description: Unidentified Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorWithNoId'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````